# Query Collection Accounts

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST`  `/remittance/collection/query-collection-accounts`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="232.8046875">Name</th><th width="143.39453125">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>currency</td><td>string</td><td>Currency</td></tr><tr><td>account_no</td><td>string</td><td>Account number</td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td><p>Begin time</p><p>Format: <code>yyyy-MM-dd HH:mm:ss</code></p></td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td>End time<br>Format: <code>yyyy-MM-dd HH:mm:s</code></td></tr><tr><td>page_num</td><td>int</td><td>Default value:1</td></tr><tr><td>page_size</td><td>int</td><td><p>Default value:10</p><p>Max value is 30</p></td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":[],
    "total":4
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="213.58203125">Name</th><th width="190.6484375">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant Id</td></tr><tr><td>payment_type<mark style="color:red;">*</mark></td><td>integer</td><td>Payment type</td></tr><tr><td>account_name<mark style="color:red;">*</mark></td><td>string</td><td>Account Name</td></tr><tr><td>account_label</td><td>string</td><td>Account Alias</td></tr><tr><td>account_no<mark style="color:red;">*</mark></td><td>string</td><td>Account Number/IBAN</td></tr><tr><td>account_no_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Account Number Type</p><p>Enum:</p><p><code>1-account_number</code> </p><p><code>2-iban</code> </p><p><code>3-pix_key</code></p></td></tr><tr><td>alternate_no</td><td>string</td><td>Other Collection Number</td></tr><tr><td>alternate_no_type</td><td>integer</td><td><p>Other collection number type</p><p>For example : pix key(BR)</p><p>Enum:</p><p><code>3 -pix_key</code></p></td></tr><tr><td>branch_code</td><td>string</td><td>Branch code</td></tr><tr><td>bank_name</td><td>string</td><td>Bank Name</td></tr><tr><td>bank_address</td><td>string</td><td>Bank Address</td></tr><tr><td>bank_country</td><td>string</td><td>Bank country</td></tr><tr><td>routing_code</td><td>string</td><td>Routing <a data-footnote-ref href="#user-content-fn-1">Code</a></td></tr><tr><td>routing_code_type</td><td>string</td><td><p>Routing Code Type </p><p>Enum:</p><p>     <code>bic_swift</code></p><p>     <code>ispb</code><br>     <code>aba</code></p><p>     <code>bsb_code</code></p><p>     <code>cnaps</code></p><p>     <code>ifsc</code></p><p>     <code>institution_no</code></p><p>     <code>sort_code</code></p></td></tr><tr><td>currency<mark style="color:red;">*</mark></td><td>string</td><td>Currency</td></tr><tr><td>created_at<mark style="color:red;">*</mark></td><td>string</td><td>Created At</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/collection/query-accounts' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/collection/query-collection-accounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
